xfs
[Top] [All Lists]

[PATCH] xfstests: fix btrfs/264 to not use the scratch dev pool

To: <xfs@xxxxxxxxxxx>, <linux-btrfs@xxxxxxxxxxxxxxx>
Subject: [PATCH] xfstests: fix btrfs/264 to not use the scratch dev pool
From: Josef Bacik <jbacik@xxxxxxxxxxxx>
Date: Wed, 26 Jun 2013 11:52:56 -0400
Delivered-to: xfs@xxxxxxxxxxx
Dkim-signature: v=1; a=rsa-sha256; c=relaxed/simple; d=fusionio.com; s=default; t=1372261987; bh=GIrYc6HjJaSSz7HEQk3iRd60xFcA2cHHLfYXk+Z0SmA=; h=From:To:Subject:Date; b=DwSpaZNwR9+onJ3joUEKguCC1DkhTdjNBdr4gv5NeNQO3nYbHxOUvN6GuUCtXGSvV NaXORWkf/W8QUh4NXL932hRtfJ8NQboCFbaorELPFz6Z5Xl/Y1e44GSQW5h3DU6cBA E2D4j3hGpugaqlJAOubFKcQfaoBjnorvPra7ktEk=
This test doesn't need the scratch dev pool and it also doesn't call
_require_scratch_dev_pool, so just kick out the scratch dev pool part of the
test.  Thanks,

Signed-off-by: Josef Bacik <jbacik@xxxxxxxxxxxx>
---
 tests/btrfs/264 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/tests/btrfs/264 b/tests/btrfs/264
index b08667a..8eef43b 100755
--- a/tests/btrfs/264
+++ b/tests/btrfs/264
@@ -46,7 +46,7 @@ _supported_fs btrfs
 _supported_os Linux
 _require_scratch
 
-_scratch_mkfs $SCRATCH_DEV_POOL > /dev/null 2>&1 || _fail "mkfs failed"
+_scratch_mkfs > /dev/null 2>&1 || _fail "mkfs failed"
 _scratch_mount
 
 # Create and save sha256sum
-- 
1.7.7.6

<Prev in Thread] Current Thread [Next in Thread>